### File

`packages/components/layout/eui-header/header.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-header`
templateUrl | `./header.component.html`
styleUrl | `./header.component.scss`

### Index

###### Properties
rightContent string
###### HostBindings
class

### HostBindings

class
Type : `string`
Default value : `'eui-header'`

### Properties

rightContent
Type : `EuiHeaderRightContentComponent`
Decorators : `@ContentChild(EuiHeaderRightContentComponent)`

string
Type : `string`
Default value : `'eui-header'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""